package com.ruoyi.szxc.mapper;

import java.util.List;
import com.ruoyi.szxc.domain.SzxcXqInfo;

/**
 * 小区信息Mapper接口
 * 
 * @author hs
 * @date 2024-03-16
 */
public interface SzxcXqInfoMapper 
{
    /**
     * 查询小区信息
     * 
     * @param id 小区信息主键
     * @return 小区信息
     */
    public SzxcXqInfo selectSzxcXqInfoById(Long id);

    /**
     * 查询小区信息列表
     * 
     * @param szxcXqInfo 小区信息
     * @return 小区信息集合
     */
    public List<SzxcXqInfo> selectSzxcXqInfoList(SzxcXqInfo szxcXqInfo);

    /**
     * 新增小区信息
     * 
     * @param szxcXqInfo 小区信息
     * @return 结果
     */
    public int insertSzxcXqInfo(SzxcXqInfo szxcXqInfo);

    /**
     * 修改小区信息
     * 
     * @param szxcXqInfo 小区信息
     * @return 结果
     */
    public int updateSzxcXqInfo(SzxcXqInfo szxcXqInfo);

    /**
     * 删除小区信息
     * 
     * @param id 小区信息主键
     * @return 结果
     */
    public int deleteSzxcXqInfoById(Long id);

    /**
     * 批量删除小区信息
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSzxcXqInfoByIds(Long[] ids);
}
